%define		fversion	%(echo %{version} |tr r -)
%define		modulename	abind
Summary:	Combine multi-dimensional arrays
Summary(pl.UTF-8):	Łączenie wielowymiarowych tablic
Name:		R-cran-%{modulename}
Version:	1.4r0
Release:	2
License:	LGPL v2+
Group:		Applications/Math
Source0:	ftp://stat.ethz.ch/R-CRAN/src/contrib/%{modulename}_%{fversion}.tar.gz
# Source0-md5:	4dd1b633959a2fc73491e897f84857a7
BuildRequires:	R >= 2.8.1
Requires(post,postun):	R >= 2.8.1
Requires(post,postun):	perl-base
Requires(post,postun):	textutils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Combine multi-dimensional arrays. This is a generalization of cbind
and rbind. Takes a sequence of vectors, matrices, or arrays and
produces a single array of the same or higher dimension.

%description -l pl.UTF-8
Moduł ten łączy wielowymiarowe tablice. Jest uogólnieniem cbind i
rbind. Pobiera listę wektorów, macierzy lub tablic i tworzy pojedynczą
tablice tego samego lub wyższego wymiaru.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/R/library/
R CMD INSTALL %{modulename} --library=$RPM_BUILD_ROOT%{_libdir}/R/library/

%clean
rm -rf $RPM_BUILD_ROOT

%post
(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
 R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)

%postun
if [ -f %{_libdir}/R/bin/Rcmd ];then
	(cd %{_libdir}/R/library; umask 022; cat */CONTENTS > ../doc/html/search/index.txt
	R_HOME=%{_libdir}/R ../bin/Rcmd perl ../share/perl/build-help.pl --index)
fi

%files
%defattr(644,root,root,755)
%doc %{modulename}/{DESCRIPTION,ChangeLog}
%{_libdir}/R/library/%{modulename}
%changelog
* Tue Nov 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/R-cran-abind.git;a=log;h=master

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 1606ce2
- fixed install
- rel 2

* Tue Nov 26 2013 Jan Rękorajski <baggins@pld-linux.org> 21ea3c2
- up to 1.4-0

* Sun Jan 04 2009 Jan Rękorajski <baggins@pld-linux.org> c00decf
- updated R reqs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2a38394
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4a828d5
- converted to UTF-8

* Thu Feb 08 2007 Jan Rękorajski <baggins@pld-linux.org> 933accf
- fixed post script for R 2.4.0
- R: R >= 2.4.0

* Fri Nov 19 2004 Jakub Bogusz <qboosh@pld-linux.org> df85aba
- pl fixes

* Wed Nov 17 2004 undefine <undefine@pld-linux.org> 56ae82f
- initital

